\draw (24,50) node [align=left] {$\displaystyle C_3$};

    %1 карта
    \linetableone  {0}{ }{ }{0}
    \linetabletwo  {0}{ }{ }{0}
    \linetablethree{ }{0}{0}{ }
    \linetablefour { }{0}{0}{ }
    
    %2 карта
    \linetablefive  {0}{ }{ }{0}
    \linetablesix   {0}{ }{ }{0}
    \linetableseven { }{0}{0}{ }
    \linetableeight { }{0}{0}{ }
    
    %3 карта
    \linetablenine  {0}{ }{ }{0}
    \linetableten   {0}{ }{ }{0}
    \linetableeleven{ }{0}{0}{ }
    \linetabletwelve{ }{0}{0}{ }
    
    %4 карта
    \linetablethirteen{0}{ }{ }{0}
    \linetablefourteen{0}{ }{ }{0}
    \linetablefifteen { }{0}{0}{ }
    \linetablesixteen { }{0}{0}{ }

\draw (366,155) node  [align=left] {$\displaystyle C_{3} =\begin{Bmatrix}
    xx0xx0 \\
    xx1xx1
    \end{Bmatrix}$ \\
    $S_a^{C_3} = 4,S_b^{c_3} = 6$
};
%(X₂ V X₅) & (̅X₂ V ̅X₅)

\draw  [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (104.33,103) -- (137.97,103) -- (137.97,137.75) -- (104.33,137.75) -- cycle ;
\draw  [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (234.33,103) -- (267.97,103) -- (267.97,137.75) -- (234.33,137.75) -- cycle ;
\draw  [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (234.33,233) -- (267.97,233) -- (267.97,267.75) -- (234.33,267.75) -- cycle ;
\draw  [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (104.33,233) -- (137.97,233) -- (137.97,267.75) -- (104.33,267.75) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (137.5,110.5) -- (234.59,110.5) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (127.5,137.5) -- (127.5,233.33) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (237.5,137.5) -- (237.5,233.33) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (137.5,260.5) -- (234.59,260.5) ;
\draw  [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (83.33,65) -- (96.97,65) -- (96.97,97.25) -- (83.33,97.25) -- cycle ;
\draw  [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (143.33,65) -- (156.97,65) -- (156.97,97.25) -- (143.33,97.25) -- cycle ;
\draw  [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (213.33,65) -- (226.97,65) -- (226.97,97.25) -- (213.33,97.25) -- cycle ;
\draw  [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (273.33,65) -- (286.97,65) -- (286.97,97.25) -- (273.33,97.25) -- cycle ;
\draw  [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (273.33,195) -- (286.97,195) -- (286.97,227.25) -- (273.33,227.25) -- cycle ;
\draw  [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (213.33,195) -- (226.97,195) -- (226.97,227.25) -- (213.33,227.25) -- cycle ;
\draw  [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (143.33,195) -- (156.97,195) -- (156.97,227.25) -- (143.33,227.25) -- cycle ;
\draw  [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (83.33,195) -- (96.97,195) -- (96.97,227.25) -- (83.33,227.25) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (96.97,195) .. controls (110.33,174) and (135.83,175.33) .. (143.33,195) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (140.33,189) -- (232.5,188.42) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (186.42,58.71) -- (186.42,188.71) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (226.97,195) .. controls (240.33,174) and (265.83,175.33) .. (273.33,195) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (226.97,65) .. controls (240.33,44) and (265.83,45.33) .. (273.33,65) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (96.97,65) .. controls (110.33,44) and (135.83,45.33) .. (143.33,65) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (140.33,59) -- (232.5,58.42) ;